@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", system-ui;
  user-select: none;
  color: white;
}
body {
  background: #111111;
  display: flex;
  height: 100vh;
  align-items: center;
}
.container {
  width: 100%;
  height: 50vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  .obj {
    width: 100%;
    height: 100%;
    display: flex;
  }
}
.container > .obj > .user,
.container > .obj > .ai {
  width: 50%;
  height: 100%;
  display: grid;
  place-items: center;
  img {
    width: 50%;
    filter: drop-shadow(0px 0px 5px #ff9000);
  }
}
.ai > img {
  transform: scaleX(-1);
}
.userShake {
  animation: usershake 1.5s forwards;
}
@keyframes usershake {
  0%,
  33.332%,
  66.664%,
  100% {
    transform: rotate(0deg);
  }
  16.666%,
  49.998%,
  83.33% {
    transform: rotate(20deg);
  }
}
.aishake {
  animation: aishake 1.5s forwards;
}
@keyframes aishake {
  0%,
  33.332%,
  66.664%,
  100% {
    transform: rotate(0deg) scaleX(-1);
  }
  16.666%,
  49.998%,
  83.33% {
    transform: rotate(-20deg) scaleX(-1);
  }
}

.options {
  width: 320px;
  background: #ff9000;
  border-radius: 10px;
  text-align: center;
  ul {
    display: flex;
    li {
      display: inline;
      list-style: none;
      img {
        width: 50%;
        transition: all 0.2s;
        filter: drop-shadow(0 0 10px #000000);
      }
      img:hover {
        scale: 1.1;
      }
    }
  }
}

.end {
  position: absolute;
  top: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
  .result {
    color: #ff9000;
  }
}

.score {
  position: absolute;
  width: 100%;
  top: 0;
  display: flex;
  justify-content: space-between;
  padding: 10px;
  div > h1 {
    color: #ff9000;
  }
}
